Bug 848128 - get-requires glibc says something about removing yum..
get-requires glibc says something about removing yum..
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: PackageKit (Show other bugs)
6.4
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Richard Hughes
Desktop QE
:
Depends On: 848127
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 13:39 EDT by Vladimir Benes
Modified: 2017-12-06 07:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 848127
Environment:
Last Closed: 2017-12-06 07:38:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2012-08-14 13:39:29 EDT
+++ This bug was initially created as a clone of Bug #848127 +++

Description of problem:
when I tried to get requires for glibc I got strange error that I am trying to remove yum. This is a bit weird as I did get-requires operation and not remove.. Is it checking requires via yum remove or so? this is a bit silly, isn't it? ;-)

pkcon get-requires glibc
More than one package matches:
1. glibc-2.15-47.el7.x86_64 [installed:alpha2]
2. glibc-2.15-47.el7.i686 [alpha2]
Please choose the correct package: 1
Getting requires              [=========================]         
Waiting in queue              [=========================]         
Starting                      [=========================]         
Getting information           [=========================]         
Resolving dependencies        [=                        ] (5%)  echo $?
                              [=========================]         
Fatal error: Trying to remove "yum", which is protected


Version-Release number of selected component (if applicable):
PackageKit-0.7.4-5.el7.x86_64

How reproducible:


Steps to Reproduce:
1.execute pkcon get-requires glibc

Actual results:
trying to remove yum which is rpotected error

Expected results:
no errror and correct requires shown

Additional info:
Comment 2 RHEL Product and Program Management 2012-12-14 03:08:36 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Jan Kurik 2017-12-06 07:38:08 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.